Show / Hide Table of Contents

# Class ItemPayload

An SeString Payload representing an interactable item link.

##### Inheritance

System.Object
Payload
ItemPayload

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class ItemPayload : Payload

### Constructors

| Improve this Doc View Source

#### ItemPayload(UInt32, Boolean, String)

Creates a payload representing an interactable item link for the specified item.

##### Declaration

    public ItemPayload(uint itemId, bool isHQ, string displayNameOverride = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId | The id of the item.
System.Boolean | isHQ | Whether or not the link should be for the high-quality variant of the item.
System.String | displayNameOverride | An optional name to include in the item link. Typically this should be left as null, or set to the normal item name. Actual overrides are better done with the subsequent TextPayload that is a part of a full item link in chat.

### Properties

| Improve this Doc View Source

#### DisplayName

The displayed name for this item link. Note that incoming links only sometimes have names embedded, often the name is only present in a following text payload.

##### Declaration

    public string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IsHQ

Whether or not this item link is for a high-quality version of the item.

##### Declaration

    public bool IsHQ { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item

The underlying Lumina Item represented by this payload.

##### Declaration

    public Item Item { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.Item |

##### Remarks

Value is evaluated lazily and cached.

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### GetMarkerForIntegerBytes(Byte[])

##### Declaration

    protected override byte GetMarkerForIntegerBytes(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

##### Returns

Type | Description
--- | ---
System.Byte |

##### Overrides

Payload.GetMarkerForIntegerBytes(Byte[])
| Improve this Doc View Source

#### MakeInteger(UInt32, Boolean, Boolean)

##### Declaration

    protected override byte[] MakeInteger(uint value, bool withMarker = true, bool incrementSmallInts = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | value |
System.Boolean | withMarker |
System.Boolean | incrementSmallInts |

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.MakeInteger(UInt32, Boolean, Boolean)
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()